<?php

/*
 * @component UserPoints
 * @copyright Copyright (C) 2015-2022 Bernard Gilly - Adrien Roussel - Martin Brampton
 * @license : GNU/GPL
 * @Website : https://remository.com
 */

namespace BlackSheepResearch\Component\UserPoints\Site\Controllers;

// no direct access
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Factory;
use Joomla\CMS\Plugin\PluginHelper;
use BlackSheepResearch\Component\UserPoints\Site\UserController;

/**
 * @package UserPoints
 */
class PluginControl extends UserController {

    /**
     * Custom Constructor
     */
    public function __construct() {
        parent::__construct();
    }

    public function display($cachable = false, $urlparams = false) {
        $app = Factory::getApplication();
        PluginHelper::importPlugin('eshop');
        $app->triggerEvent($app->input->get('trigger', ''), array($app->input));
    }
}
